DivFloatFunction (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.DivFloatFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class DivFloatFunction

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.DualFloatFunction
              org.apache.solr.search.function.DivFloatFunction

All Implemented Interfaces:
  Serializable

    public class DivFloatFunction

extends DualFloatFunction

Function to divide "a" by "b"

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.search.function.DualFloatFunction
`a, b`

Constructor Summary
`DivFloatFunction(ValueSource a, ValueSource b)`

Method Summary
`protected float` | `func(int doc, DocValues aVals, DocValues bVals)`
`protected String` | `name()`

Methods inherited from class org.apache.solr.search.function.DualFloatFunction
`createWeight, description, equals, getValues, hashCode`

Methods inherited from class org.apache.solr.search.function.ValueSource
`getSortField, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DivFloatFunction

    public DivFloatFunction(ValueSource a,
                            ValueSource b)

Parameters:
  `a` - the numerator.
  `b` - the denominator.

Method Detail

### name

    protected String name()

  Specified by:
    `name` in class `DualFloatFunction`

### func

    protected float func(int doc,
                         DocValues aVals,
                         DocValues bVals)

  Specified by:
    `func` in class `DualFloatFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD